Page MenuHomePhabricator

Add hijri calendar option in Urdu
Open, NormalPublic

Description

Please enable hijri calendar on Urdu wikipedia.
Local consensus is here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2016, 8:55 AM

Change 309724 had a related patch set (by محمد شعیب) published:
It is requested by Urdu Wikipedia community to add Hijri calendar in Urdu, so that users can select their preferred calendar from Preferences.

https://gerrit.wikimedia.org/r/309724

Please enable it soon.

Nemo_bis renamed this task from Enable hijri calender in Urdu to Add hijri calendar option in Urdu.Nov 6 2016, 12:17 PM
Nemo_bis triaged this task as Normal priority.
MuhammadShuaib raised the priority of this task from Normal to High.Mar 7 2018, 7:05 AM

As this patch has been uploaded in sep 2016 but not yet been deployed, I set its priority from normal to High. Hope that patch will be merged soon.

Aklapper lowered the priority of this task from High to Normal.Mar 7 2018, 8:36 AM

@MuhammadShuaib: Age of an existing patch does not make a task more urgent. The Priority field reflects reality and does not cause it (which can be frustrating sometimes, sorry). Thanks for your understanding.

@MuhammadShuaib: Age of an existing patch does not make a task more urgent. The Priority field reflects reality and does not cause it (which can be frustrating sometimes, sorry). Thanks for your understanding.

:)

Change 309724 merged by Amire80:
[mediawiki/core@master] Add Hijri calendar in Urdu

https://gerrit.wikimedia.org/r/309724

Amire80 moved this task from Untriaged to Date and time on the I18n board.Mar 12 2018, 11:36 AM

Merged finally. This should become available for testing on https://ur.wikibooks.org on Wednesday March 14 late at night, and on https://ur.wikipedia.org on Thursday March 15 late at night.

It should be tested then, and if it works, the task can be finally marked as resolved.

Merged finally. This should become available for testing on https://ur.wikibooks.org on Wednesday March 14 late at night, and on https://ur.wikipedia.org on Thursday March 15 late at night.
It should be tested then, and if it works, the task can be finally marked as resolved.

Is it deployed?

@MuhammadShuaib: I don't understand the question. Did you test? If yes, where? If yes, did it work? If not, can you provide steps?

It is deployed to Wikibooks already, but there was a bug in the patch, so you cannot see the change. It doesn't break anything, but the fix is incomplete. I'll submit a follow up patch soon.

It is deployed to Wikibooks already, but there was a bug in the patch, so you cannot see the change. It doesn't break anything, but the fix is incomplete. I'll submit a follow up patch soon.

Oh, thanks. :)

Waiting for this patch. :)